#ifndef OLDTABLE_H
#define OLDTABLE_H

#define BUCKETS (100*1024)

typedef uint32_t	hash_t;

struct hashtable_info {
	struct list_head	*hashtable;
	unsigned int		numentries;
	unsigned int		longsearch;
};

struct ip_conntrack *lookup(struct hashtable_info *info, struct ip_conntrack_tuple *tuple, hash_t hash);
int insert(struct hashtable_info *info, struct ip_conntrack_tuple *tuple, hash_t hash);
int delete(struct hashtable_info *info, struct ip_conntrack_tuple *tuple);

int register_hashtable(struct hashtable_info *info);
int unregister_hashtable(struct hashtable_info *info);

#endif
